<ion-header>
  <ion-toolbar>
    <ion-title>Nova conta</ion-title>

    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding"><br>
  <form [formGroup]="contasForm" (submit)="registraConta()">
    <ion-item>
      <ion-icon name="person" color="dks" slot="start"></ion-icon>
      <ion-input formControlName="parceiro" type="text" placeholder="Parceiro Comercial" autofocus="true"></ion-input>
    </ion-item><br>

    <ion-item>
      <ion-icon name="document" color="dks" slot="start"></ion-icon>
      <ion-input formControlName="descricao" type="text" placeholder="Descrição"></ion-input>
    </ion-item><br>

    <ion-item>
      <ion-icon name="wallet" color="dks" slot="start"></ion-icon>
      <ion-input formControlName="valor" type="number" placeholder="Valor"></ion-input>
    </ion-item><br>

    <ion-item>
      <ion-label>Vencimento</ion-label>
      <ion-datetime displayFormat="DD/MM/YYYY" pickerFormat="DD MMMM YYYY" [(ngModel)]="date"></ion-datetime>
    </ion-item>

    <ion-radio-group formControlName="tipo">
      <ion-item>
        <ion-label>A pagar</ion-label>
        <ion-radio slot="start" value="pagar"></ion-radio>
      </ion-item>

      <ion-item>
        <ion-label>A rebecer</ion-label>
        <ion-radio slot="start" value="receber"></ion-radio>
      </ion-item>
    </ion-radio-group><br><br>

    <ion-button [disabled]="contasForm.invalid" type="submit" expand="block" color="dks" fill="clear">Enviar</ion-button>
  </form><br><br>
</ion-content>
